package com.gic.enterprise.constant.applet;
/**
 * 小程序配置页面组件
 * @ClassName: AppletPageComponentEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/25 2:43 PM 
 */
public enum AppletPageComponentEnum {
    /**
     * 富文本
     */
    RICH_TEXT("A1", "富文本", 0),
    /**
     * 图文广告
     */
    IMAGE("A2", "图文广告", 0),
    /**
     * 魔方
     */
    MAGIC("A3", "魔方", 0),
    /**
     * 图文导航
     */
    IMAGE_TEXT("A4", "图文导航", 0),
    /**
     * 文本
     */
    TEXT("A5", "文本", 0),
    /**
     * 横栏
     */
    CROSS_BAR("A6", "横栏", 0),
    /**
     * 辅助线
     */
    GUIDE_LINE("A7", "辅助线", 0),
    /**
     * 辅助空白
     */
    GUIDE_BLANK("A8", "辅助空白", 0),
    /**
     * 文本标题
     */
    TEXT_TITLE("A9", "文本标题", 0),
    /**
     * 数据资产
     */
    DATA_ASSET("A10", "数据资产", 0),
    /**
     * 图片热区
     */
    IMAGE_HOT("A12", "图片热区", 0),
    /**
     * 会员特权
     */
    MEMBER_PRIVILEGE("B1", "会员特权", 0),
    /**
     * 会员卡
     */
    MEMBER_CARD("B2", "会员卡", 2),
    /**
     * 积分签到
     */
    INTEGRAL_SIGN("B3", "积分签到", 0),
    /**
     * 商品货架
     */
    GOODS_SHELF("B4", "商品货架", 0),
    /**
     * 搜索
     */
    MALL_SEARCH("B5", "搜索", 0),
    /**
     * 商品
     */
    MALL_GOODS("B6", "商品", 0),
    /**
     * 卡券
     */
    COUPON("B7", "卡券", 0),
    /**
     * 分类
     */
    MALL_CLASSIFY("B8", "分类", 0),
    /**
     * 积分服务
     */
    INTEGRAL_SERVICE("C1", "积分服务", 4),
    /**
     * 会员成就
     */
    MEMBER_ACHIEVEMENT("C2", "会员成就", 5),
    /**
     * 会员任务
     */
    MEMBER_TASK("C3", "会员任务", 6);

    private String code;
    private String message;
    /**
     * 有些组件是页面专有组件，必有
     */
    private int pageType;

    private AppletPageComponentEnum(String code, String message, int pageType) {
        this.code = code;
        this.message = message;
        this.pageType = pageType;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getPageType() {
        return pageType;
    }

    public void setPageType(int pageType) {
        this.pageType = pageType;
    }

    public static boolean isSaveToComponentTable(String code) {
        for (AppletPageComponentEnum componentEnum : values()) {
            if (componentEnum.getCode().equals(code)) {
                return true;
            }
        }
        return false;
    }

    public static AppletPageComponentEnum mustComponent(Integer pageType) {
        if (pageType == null) {
            return null;
        }
        for (AppletPageComponentEnum componentEnum : values()) {
            if (componentEnum.getPageType() != 0 && pageType == componentEnum.getPageType()) {
                return componentEnum;
            }
        }
        return null;
    }
}
