package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-24 16:38
 */
public class AuditLogDTO implements Serializable {
    private static final long serialVersionUID = -5504276110192964185L;


    public interface ApplyValid {}

    /**
     *
     */
    private Integer auditLogId;

    /**
     *
     */
    @NotNull(message = "商户id不能为空", groups = ApplyValid.class)
    private Integer enterpriseId;

    /**
     * 申请人id
     */
    @NotNull(message = "申请人id不能为空", groups = ApplyValid.class)
    private Integer applyUserId;

    /**
     * 申请人名
     */
    private String applyUserName;

    /**
     * 申请时间
     */
    private Date applyTime;

    /**
     * 审批项id
     */
    private Integer projectItemId;

    /**
     * 审批项code
     */
    @NotBlank(message = "受审项不能为空", groups = ApplyValid.class)
    private String projectItemCode;

    private String projectItemName;

    /**
     * 审核人
     */
    private Integer auditorId;

    /**
     * 审核人name
     */
    private String auditorName;

    /**
     * 审核人手机
     */
    private String auditorPhone;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 审核结果 0：待审核   1：通过，  2：不通过
     */
    private Integer auditResult;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    @NotBlank(message = "额外信息不能为空", groups = ApplyValid.class)
    private String extraInfo;

    /**
     * 储存附加字段， 如授权时间， 下载内容等
     */
    private String auditReason;

    /**
     * 审批类型   0：普通审批项， 1：风险模式审批， 2：导出完整数据
     */
    private Integer auditType;

    /**
     * 申请备注
     */
    private String remark;

    private Date auditExpireTime;
    private String enterpriseName;
    private String position;
    private String projectName;
    private String applyUserPhone;
    private String auditUrl;

    public String getAuditUrl() {
        return auditUrl;
    }

    public void setAuditUrl(String auditUrl) {
        this.auditUrl = auditUrl;
    }

    public Integer getAuditLogId() {
        return auditLogId;
    }

    public void setAuditLogId(Integer auditLogId) {
        this.auditLogId = auditLogId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(Integer applyUserId) {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public Integer getProjectItemId() {
        return projectItemId;
    }

    public void setProjectItemId(Integer projectItemId) {
        this.projectItemId = projectItemId;
    }

    public Integer getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Integer auditorId) {
        this.auditorId = auditorId;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    public String getAuditorPhone() {
        return auditorPhone;
    }

    public void setAuditorPhone(String auditorPhone) {
        this.auditorPhone = auditorPhone;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public Integer getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(Integer auditResult) {
        this.auditResult = auditResult;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExtraInfo() {
        return extraInfo;
    }

    public void setExtraInfo(String extraInfo) {
        this.extraInfo = extraInfo;
    }

    public String getAuditReason() {
        return auditReason;
    }

    public void setAuditReason(String auditReason) {
        this.auditReason = auditReason;
    }

    public Integer getAuditType() {
        return auditType;
    }

    public void setAuditType(Integer auditType) {
        this.auditType = auditType;
    }

    public Date getAuditExpireTime() {
        return auditExpireTime;
    }

    public void setAuditExpireTime(Date auditExpireTime) {
        this.auditExpireTime = auditExpireTime;
    }

    public String getProjectItemName() {
        return projectItemName;
    }

    public void setProjectItemName(String projectItemName) {
        this.projectItemName = projectItemName;
    }

    public String getProjectItemCode() {
        return projectItemCode;
    }

    public void setProjectItemCode(String projectItemCode) {
        this.projectItemCode = projectItemCode;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getPosition() {
        return position;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setApplyUserPhone(String applyUserPhone) {
        this.applyUserPhone = applyUserPhone;
    }

    public String getApplyUserPhone() {
        return applyUserPhone;
    }

    public String getRemark() {
        return remark;
    }

    public AuditLogDTO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    @Override
    public String toString() {
        return "AuditLogDTO{" +
                "auditLogId=" + auditLogId +
                ", enterpriseId=" + enterpriseId +
                ", applyUserId=" + applyUserId +
                ", applyUserName='" + applyUserName + '\'' +
                ", applyTime=" + applyTime +
                ", projectItemId=" + projectItemId +
                ", projectItemCode='" + projectItemCode + '\'' +
                ", projectItemName='" + projectItemName + '\'' +
                ", auditorId=" + auditorId +
                ", auditorName='" + auditorName + '\'' +
                ", auditorPhone='" + auditorPhone + '\'' +
                ", auditTime=" + auditTime +
                ", auditResult=" + auditResult +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", extraInfo='" + extraInfo + '\'' +
                ", auditReason='" + auditReason + '\'' +
                ", auditType=" + auditType +
                ", remark='" + remark + '\'' +
                ", auditExpireTime=" + auditExpireTime +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", position='" + position + '\'' +
                ", projectName='" + projectName + '\'' +
                ", applyUserPhone='" + applyUserPhone + '\'' +
                ", auditUrl='" + auditUrl + '\'' +
                '}';
    }
}
