package com.gic.enterprise.dto.union;

import java.io.Serializable;
import java.util.Date;

/**
 * 联合商户
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 1:45 PM 
 */
public class UnionEnterpriseAuthDTO implements Serializable{
    private static final long serialVersionUID = -4843823461762272567L;
    /**
     * id
     */
    private Integer unionEnterpriseAuthId;

    /**
     * 自有商户ID
     */
    private Integer ownEnterpriseId;

    /**
     * 联合商户ID
     */
    private Integer unionEnterpriseId;

    /**
     * 1:有效 2:解除中 3: 已解除联合
     */
    private Integer statusFlag;

    /**
     * 最新联合完成时间（最后一项资源授权完毕时间）
     */
    private Date lastUnionTime;

    /**
     * 最新解除时间（最后一项资源收回完毕时间）
     */
    private Date lastRelieveTime;

    /**
     * 解除时间
     */
    private Date relieveTime;

    /**
     * 解除生效时间，保留X个自然日后开始解除资源
     */
    private Integer relieveEffectDate;

    /**
     * 解除原因备注
     */
    private String relieveRemark;

    /**
     * 资源组ID
     */
    private Integer resourceGroupId;

    /**
     * 受审组，多选，英文逗号隔开
     */
    private String auditeeGroup;

    /**
     * 账号分组，多选，英文逗号隔开
     */
    private String accountGroup;

    /**
     * 数据加密字段 1：用户手机号、卡号 2:用户收获地址 。多选，英文逗号隔开
     */
    private String dataEncryField;

    /**
     * 用户修改权限 1：用户归属修改权限 2:用户等级修改权限 3:用户积分修改权限 4:用户手机号修改权限 。多选，英文逗号隔开
     */
    private String userEditAuth;

    /**
     * 白名单用户授权 1:是 0:否
     */
    private Integer whiteListAuth;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public UnionEnterpriseAuthDTO setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    public Integer getOwnEnterpriseId() {
        return ownEnterpriseId;
    }

    public UnionEnterpriseAuthDTO setOwnEnterpriseId(Integer ownEnterpriseId) {
        this.ownEnterpriseId = ownEnterpriseId;
        return this;
    }

    public Integer getUnionEnterpriseId() {
        return unionEnterpriseId;
    }

    public UnionEnterpriseAuthDTO setUnionEnterpriseId(Integer unionEnterpriseId) {
        this.unionEnterpriseId = unionEnterpriseId;
        return this;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public UnionEnterpriseAuthDTO setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
        return this;
    }

    public Date getLastUnionTime() {
        return lastUnionTime;
    }

    public UnionEnterpriseAuthDTO setLastUnionTime(Date lastUnionTime) {
        this.lastUnionTime = lastUnionTime;
        return this;
    }

    public Date getLastRelieveTime() {
        return lastRelieveTime;
    }

    public UnionEnterpriseAuthDTO setLastRelieveTime(Date lastRelieveTime) {
        this.lastRelieveTime = lastRelieveTime;
        return this;
    }

    public Date getRelieveTime() {
        return relieveTime;
    }

    public UnionEnterpriseAuthDTO setRelieveTime(Date relieveTime) {
        this.relieveTime = relieveTime;
        return this;
    }

    public Integer getRelieveEffectDate() {
        return relieveEffectDate;
    }

    public UnionEnterpriseAuthDTO setRelieveEffectDate(Integer relieveEffectDate) {
        this.relieveEffectDate = relieveEffectDate;
        return this;
    }

    public String getRelieveRemark() {
        return relieveRemark;
    }

    public UnionEnterpriseAuthDTO setRelieveRemark(String relieveRemark) {
        this.relieveRemark = relieveRemark;
        return this;
    }

    public Integer getResourceGroupId() {
        return resourceGroupId;
    }

    public UnionEnterpriseAuthDTO setResourceGroupId(Integer resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
        return this;
    }

    public String getAuditeeGroup() {
        return auditeeGroup;
    }

    public UnionEnterpriseAuthDTO setAuditeeGroup(String auditeeGroup) {
        this.auditeeGroup = auditeeGroup;
        return this;
    }

    public String getAccountGroup() {
        return accountGroup;
    }

    public UnionEnterpriseAuthDTO setAccountGroup(String accountGroup) {
        this.accountGroup = accountGroup;
        return this;
    }

    public String getDataEncryField() {
        return dataEncryField;
    }

    public UnionEnterpriseAuthDTO setDataEncryField(String dataEncryField) {
        this.dataEncryField = dataEncryField;
        return this;
    }

    public String getUserEditAuth() {
        return userEditAuth;
    }

    public UnionEnterpriseAuthDTO setUserEditAuth(String userEditAuth) {
        this.userEditAuth = userEditAuth;
        return this;
    }

    public Integer getWhiteListAuth() {
        return whiteListAuth;
    }

    public UnionEnterpriseAuthDTO setWhiteListAuth(Integer whiteListAuth) {
        this.whiteListAuth = whiteListAuth;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public UnionEnterpriseAuthDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public UnionEnterpriseAuthDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public UnionEnterpriseAuthDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthDTO{" +
                "unionEnterpriseAuthId=" + unionEnterpriseAuthId +
                ", ownEnterpriseId=" + ownEnterpriseId +
                ", unionEnterpriseId=" + unionEnterpriseId +
                ", statusFlag=" + statusFlag +
                ", lastUnionTime=" + lastUnionTime +
                ", lastRelieveTime=" + lastRelieveTime +
                ", relieveTime=" + relieveTime +
                ", relieveEffectDate=" + relieveEffectDate +
                ", relieveRemark='" + relieveRemark + '\'' +
                ", resourceGroupId=" + resourceGroupId +
                ", auditeeGroup='" + auditeeGroup + '\'' +
                ", accountGroup='" + accountGroup + '\'' +
                ", dataEncryField='" + dataEncryField + '\'' +
                ", userEditAuth='" + userEditAuth + '\'' +
                ", whiteListAuth=" + whiteListAuth +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleteFlag=" + deleteFlag +
                '}';
    }
}