package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDownloadReport;
import com.gic.enterprise.qo.DownloadReportQO;
import com.github.pagehelper.Page;
/**
 * 
 * @ClassName: TabDownloadReportMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:42
 */
public interface TabDownloadReportMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDownloadReport record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDownloadReport record);

    /**
     * 根据主键查询
     *
     * @param downloadReportId 主键
     * @return 实体对象
     */
    TabDownloadReport selectByPrimaryKey(Integer downloadReportId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDownloadReport record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDownloadReport record);
    /**
     * getBySelective
     * @Title: getBySelective
     * @Description:
     * @author taogs
     * @param downloadReport
     * @return com.gic.enterprise.entity.TabDownloadReport
     * @throws
     */
    TabDownloadReport getBySelective(TabDownloadReport downloadReport);
    /**
     * listDownloadReport
     * @Title: listDownloadReport
     * @Description:
     * @author taogs
     * @param downloadReportQO
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabDownloadReport>
     * @throws
     */
    Page<TabDownloadReport> listDownloadReport(DownloadReportQO downloadReportQO);
}