package com.gic.operation.web.controller;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.ProductMarketDTO;
import com.gic.enterprise.qo.ProductMarketQO;
import com.gic.enterprise.service.BlackListApiService;
import com.gic.enterprise.service.ProductMarketApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
/**
 * 达摩情报
 * @ClassName:  
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 3:20 PM 
 */
@RestController
@RequestMapping("/product-market")
public class ProductMarketController {
    @Autowired
    private ProductMarketApiService productMarketApiService;
    @Autowired
    private BlackListApiService blackListApiService;

    /**
     * 新增情报
     * @param productMarketDTO
     * @return
     */
    @RequestMapping("save-product-market")
    public RestResponse saveProductMarket(ProductMarketDTO productMarketDTO) {
        return ResultControllerUtils.commonResult(productMarketApiService.saveProductMarket(productMarketDTO));
    }

    /**
     * 编辑情报
     * @param productMarketDTO
     * @return
     */
    @RequestMapping("update-product-market")
    public RestResponse updateProductMarket(ProductMarketDTO productMarketDTO) {
        return ResultControllerUtils.commonResult(productMarketApiService.updateProductMarket(productMarketDTO));
    }

    @RequestMapping("delete-product-market")
    public RestResponse deleteProductMarket(Integer productMarketId) {
        return ResultControllerUtils.commonResult(productMarketApiService.deleteProductMarket(productMarketId));
    }

    @RequestMapping("page-product-market")
    public RestResponse pageProductMarket(ProductMarketQO params) {
        return ResultControllerUtils.commonResult(productMarketApiService.pageProductMarket(params));
    }

    /**
     * 新增黑名单
     * @param enterpriseId
     * @return
     */
    @RequestMapping("save-black-list")
    public RestResponse saveBlackList(Integer enterpriseId) {
        return ResultControllerUtils.commonResult(blackListApiService.saveBlackList(enterpriseId));
    }

    @RequestMapping("delete-black-list")
    public RestResponse deleteBlackList(Integer blackListId) {
        return ResultControllerUtils.commonResult(blackListApiService.deleteBlackList(blackListId));
    }

    @RequestMapping("page-black-list")
    public RestResponse pageBlackList(String search, Integer pageNum, Integer pageSize) {
        return ResultControllerUtils.commonResult(blackListApiService.pageBlackList(search, pageNum, pageSize));
    }
}
